
Figure - Bug #116137
测试 Test-IT # 110961 (New): V2.0功能测试

测试 Test-IT # 111056 (New): AF-V2.0-Launcher/SystemUI----Setting

【AF】【EVT2】【蓝牙】连接蓝牙键盘后，在输入框中调出的输入法键盘显示在屏幕最左边
2023-02-09 17:42 - CD Test赵飞

Status: CLOSED Start date: 2023-02-09

Priority: Normal Due date:

Assignee: 物联网项目组-RD3_CDTS 周飞 % Done: 0%

Category: 依赖客户及其供应商解决 Estimated time: 0.00 hour

Target version:

Need_Info: TEST Found Version: FlatBuild_HH_VX1_MCE_FSE.M.R.user.01.00.0073.X101

Resolution: -- Degrated: --

Severity: Normal Verified Version:

Reproducibility: Every time Fixed Version:

Test Type: ST Root cause:

Description

【前提条件】

1、设备已开机

2、准备一个蓝牙键盘

【测试步骤】

1、进入设置 - 已连接设备 - 与新设备配对

2、点击搜索到的蓝牙设备进行配对连接

3、待连接成功后，打开一个输入框，比如重命名设备名称

4、点击左下角键盘图标调出输入法键盘

【预期结果】

4、输入法键盘显示在屏幕中间

【实际结果】

4、输入法键盘显示在屏幕最左边

【日志】

截图见附件

History

#1 - 2023-02-10 16:13 - CD FW 曹覃刚

- Status changed from New to ASSIGNED

- Assignee changed from CD FW 曹覃刚 to CD FW王武军

Hi 军哥

输入法的问题，帮忙解析一下

#2 - 2023-02-11 17:55 - CD FW王武军

当前状态：

确认问题，复现现象。

当前分析：
从目前的分析来看，问题可能与软键盘应用内适配有关系。

处理策略：

跟进软键盘的显示流程。

#3 - 2023-02-15 19:38 - CD FW王武军

- File 原生输入法.png added

- File 讯飞输入法.png added

- File 未连接蓝牙_百度输入法.png added

- File 连接蓝牙_百度输入法.png added

- File 百度输入法_更新版本之后.png added

#4 - 2023-02-15 19:51 - CD FW王武军

- File 原生输入法.png added

【】当前分析：

分析了连接蓝牙和未连接蓝牙时，输入软键盘的显示逻辑，从逻辑和日志一起来来看，

连接蓝牙和未连接蓝牙，系统层针对输入法的显示控制并没有差别，显示的差别应该是源于输入法应用内部的UI表现方式。

显示流程的日志：

02-15 18:30:17.874  1004  1166 V InputMethodMenuController: Hide switching menu

02-15 18:30:17.936  2652  2652 V InputMethodManager: Starting input: view=android.widget.EditText{96d738e VFED.VCL. .F...... 30,40-1377,128 #1020003

android:id/edit

aid=1073741838},focus=true,windowFocus=true,autofillUiShowing=false,window=android.view.ViewRootImpl$W@51fe7bc,displayId=0,temporaryDetach=false,hasIme

Focus=true reason=WINDOW_FOCUS_GAIN

02-15 18:30:17.936  2652  2652 V InputMethodManager: Starting input: tba=android.view.inputmethod.EditorInfo@f786666

ic=com.android.internal.widget.EditableInputConnection@e5adda7

02-15 18:30:17.937  2652  2652 V InputMethodManager: START INPUT: view=android.widget.EditText{96d738e VFED.VCL. .F...... 30,40-1377,128 #1020003

android:id/edit

aid=1073741838},focus=true,windowFocus=true,autofillUiShowing=false,window=android.view.ViewRootImpl$W@51fe7bc,displayId=0,temporaryDetach=false,hasIme

Focus=true ic=com.android.internal.widget.EditableInputConnection@e5adda7 tba=android.view.inputmethod.EditorInfo@f786666

startInputFlags=VIEW_HAS_FOCUS|IS_TEXT_EDITOR|INITIAL_CONNECTION

02-15 18:30:17.937  1004  3071 V InputMethodManagerService: startInputOrWindowGainedFocusInternalLocked: reason=WINDOW_FOCUS_GAIN

client=android.os.BinderProxy@526c8de inputContext=com.android.internal.view.IInputContext$Stub$Proxy@6eefd16 missingMethods=

attribute=android.view.inputmethod.EditorInfo@9e2a697 startInputFlags=VIEW_HAS_FOCUS|IS_TEXT_EDITOR|INITIAL_CONNECTION

softInputMode=STATE_UNSPECIFIED|ADJUST_RESIZE|IS_FORWARD_NAVIGATION windowFlags=#1800002 unverifiedTargetSdkVersion=31

02-15 18:30:17.937  1004  3071 V InputMethodManagerService: Unspecified window will show input

02-15 18:30:17.938  1004  3071 D InputMethodManagerService: showCurrentInputLocked: mCurToken=android.os.Binder@2622141

02-15 18:30:17.938  1004  3071 V InputMethodManagerService: Calling com.android.internal.view.IInputMethod$Stub$Proxy@4490e0b.showSoftInput

(android.os.Binder@e55d4a2, 0, null) for reason: SHOW_AUTO_EDITOR_FORWARD_NAV

02-15 18:30:17.939  2652  2652 V InputMethodManager: Starting input: Bind result=InputBindResult{result=SUCCESS_WITH_IME_SESSION

method=com.android.internal.view.IInputMethodSession$Stub$Proxy@2637254 id=com.baidu.input/.ImeService sequence=33

isInputMethodSuppressingSpellChecker=false}

02-15 18:30:17.940  2652  2652 V InputMethodManager: Calling View.onInputConnectionOpened: view= android.widget.EditText{96d738e VFED.VCL. .F......

30,40-1377,128 #1020003 android:id/edit aid=1073741838}, ic=com.android.internal.widget.EditableInputConnection@e5adda7,

tba=android.view.inputmethod.EditorInfo@f786666, handler=null

02-15 18:30:17.943  8241  8241 V InputMethodService: CALL: doFinishInput

02-15 18:30:17.943  8241  8241 V InputMethodService: CALL: onFinishInput

02-15 18:30:17.943  8241  8241 V InputMethodService: CALL: onStartInput

02-15 18:30:17.945  1004  1166 V InputMethodMenuController: Hide switching menu

02-15 18:30:17.949  8241  8241 V InputMethodService: Showing window: showInput=true mShowInputRequested=false mViewsCreated=true mDecorViewVisible=false

mWindowVisible=false mInputStarted=true mShowInputFlags=0

02-15 18:30:17.949  8241  8241 V InputMethodService: showWindow: updating UI
02-15 18:30:17.951  8241  8241 V InputMethodService: CALL: onStartInputView

02-15 18:30:17.979  2652  2652 D InputMethodManager: showSoftInput() view=android.widget.EditText{96d738e VFED.VCL. .F...... 30,40-1377,128 #1020003

android:id/edit aid=1073741838} flags=0 reason=SHOW_SOFT_INPUT_BY_INSETS_API

02-15 18:30:17.980  1004  2897 D InputMethodManagerService: --- calledFromForegroundUserOrSystemProcess ? calling uid = 1000 system uid = 1000 calling userId = 0,

foreground user id = 0, calling pid = 2652com.android.server.inputmethod.InputMethodManagerService.showSoftInput(InputMethodManagerService.java:3075)

02-15 18:30:17.980  1004  2897 V InputMethodManagerService: Client requesting input be shown

02-15 18:30:17.980  1004  2897 D InputMethodManagerService: showCurrentInputLocked: mCurToken=android.os.Binder@2622141

02-15 18:30:17.981  1004  2897 V InputMethodManagerService: Calling com.android.internal.view.IInputMethod$Stub$Proxy@4490e0b.showSoftInput

(android.os.Binder@bcdd18f, 1, null) for reason: SHOW_SOFT_INPUT_BY_INSETS_API

02-15 18:30:18.020  8241  8241 V InputMethodService: showWindow: draw decorView!

02-15 18:30:18.021  1004  3071 D InputMethodManagerService: IME window vis: 3 active: 1 inv: 0 displayId: 0

02-15 18:30:18.030  1004  2897 D InputMethodManagerService: IME window vis: 3 active: 1 inv: 0 displayId: 0

02-15 18:30:18.049  8241  8241 V InputMethodService: Showing window: showInput=true mShowInputRequested=true mViewsCreated=true mDecorViewVisible=true

mWindowVisible=true mInputStarted=true mShowInputFlags=1

02-15 18:30:18.050  8241  8241 V InputMethodService: showWindow: updating UI==

02-15 18:30:18.051  1004  2232 D InputMethodManagerService: IME window vis: 3 active: 1 inv: 0 displayId: 0

02-15 18:30:18.096  1004  2232 D InputMethodManagerService: --- calledFromForegroundUserOrSystemProcess ? calling uid = 1000 system uid = 1000 calling userId = 0,

foreground user id = 0, calling pid = 0com.android.server.inputmethod.InputMethodManagerService.reportPerceptibleAsync(InputMethodManagerService.java:3111)

02-15 18:30:18.096  1004  2232 D InputMethodManagerService: IME window vis: 3 active: 1 inv: 0 displayId: 0

02-15 18:30:18.150  1004  2897 D InputMethodManagerService: --- calledFromForegroundUserOrSystemProcess ? calling uid = 1000 system uid = 1000 calling userId = 0,

foreground user id = 0, calling pid = 0com.android.server.inputmethod.InputMethodManagerService.reportPerceptibleAsync(InputMethodManagerService.java:3111)

02-15 18:30:18.150  1004  2897 D InputMethodManagerService: IME window vis: 3 active: 1 inv: 0 displayId: 0

横向对比测试：

使用了讯飞输入法，自带的原生输入法

讯飞输入法.png

原生输入法.png

可以发现他们在非蓝牙和蓝牙都是铺满横向的，而百度输入法却是居中或者居左的，可以看出百度输入法在高合设备上表现是有差异的

另外在应用商店更新了百度输入法之后，它的表现如下：

百度输入法_更新版本之后.png

可以看出新版本是做了适配的。

综上所述：该问题需要默认安装的百度输入法和搜狗中文输入法，应用自身去做高合大屏的适配，从而可以

避免连接蓝牙和未连接蓝牙键盘时表现出来的差异性。

【】处理策略：

该票需要转百度输入法和搜狗输入法的搭载团队，由应用完成UI和屏幕的适配作业。

#5 - 2023-02-16 10:12 - CD FW王武军

- File deleted (原生输入法.png)

#6 - 2023-02-16 10:37 - CD FW 曹覃刚

- Status changed from ASSIGNED to NEED_INFO

- Assignee changed from CD FW王武军 to CD Test赵飞

- Need_Info changed from -- to TEST

Hi 飞哥

■ 分析结果

根据#4中的分析结果，此问题需要客户那边输入法团队做适配
请帮助反馈，十分感谢

■ 下一步计划

反馈给客户的输入法团队适配

#7 - 2023-02-16 14:22 - CD Test赵飞

- Assignee changed from CD Test赵飞 to CDTS_TEST 王成

输入法问题，请跟进。

#8 - 2023-02-22 13:36 - CDTS_TEST 王成

- Assignee changed from CDTS_TEST 王成 to 方案组-RD3_CDTS 王浩云

看一眼

#9 - 2023-02-22 13:49 - 方案组-RD3_CDTS 王浩云

- Assignee changed from 方案组-RD3_CDTS 王浩云 to CDTS_TEST 王成

输入法的UI适配问题，如实作为测试周报反馈项即可，不需要我们修改，源生键盘，以及其他键盘的表现形式都不一样，系统层面无法解决

#10 - 2023-02-28 14:23 - CDTS_TEST 王成

- Assignee changed from CDTS_TEST 王成 to 物联网项目组-RD3_CDTS 周飞

输入法相关问题

#11 - 2023-04-12 10:10 - CD FW 曹覃刚

- Category changed from CD-FW to 依赖客户及其供应商解决

#12 - 2023-05-24 19:44 - 物联网测试组_CDTS  唐霞 

- Status changed from NEED_INFO to RESOLVED

系统层面无法解决，关闭问题单

#13 - 2023-05-24 19:44 - 物联网测试组_CDTS  唐霞 

- Status changed from RESOLVED to VERIFIED

#14 - 2023-05-24 19:44 - 物联网测试组_CDTS  唐霞 

- Status changed from VERIFIED to CLOSED

Files

连接蓝牙键盘后的位置.png 223 KB 2023-02-09 CD Test赵飞

未连接蓝牙键盘时的位置.png 362 KB 2023-02-09 CD Test赵飞
原生输入法.png 288 KB 2023-02-15 CD FW王武军

讯飞输入法.png 299 KB 2023-02-15 CD FW王武军

未连接蓝牙_百度输入法.png 507 KB 2023-02-15 CD FW王武军

连接蓝牙_百度输入法.png 286 KB 2023-02-15 CD FW王武军

百度输入法_更新版本之后.png 275 KB 2023-02-15 CD FW王武军
